coupang
GET/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories2609170000

查看CGF/CGF lite的可注册品类列表

# 01

简介

查看CGF/CGF lite的可注册品类列表

# 02

详细内容

API支持的买家用户地区:韩国。不可用于台湾店铺。

该API用于查看全部显示CGF/CGF lite的品类列表

路径

GET/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories

示例端点

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories?registrationType=XXX
# 03

Query 参数

NameTypeDescription
registrationType*string
产品品类类型
CGF类商品填写“CGF”
CGF lite类商品则填写“CGF-Lite”
# 04

响应体

响应消息

NameTypeDescription
codestring
结果代码

SUCCESS/ERROR
messagestring
信息
dataobject
显示品类列表

根据查看的显示品类个数,重复N次。
displayItemCategoryCode
data.displayItemCategoryCode
integer
name
data.name
string
显示品类名

根据查看的显示品类个数,重复N次。
status
data.status
string
显示品类状态
Status Description
ACTIVE 可使用
READY 准备中
DISABLED 不可使用
child
data.child
object[]
显示子品类

如果没有, [] 品类信息一致
displayItemCategoryCode
data.child[].displayItemCategoryCode
integer
name
data.child[].name
string
同上
status
data.child[].status
string
同上
child
data.child[].child
object[]
显示子品类
displayItemCategoryCode
data.child[].child[].displayItemCategoryCode
integer
name
data.child[].child[].name
string
status
data.child[].child[].status
string
child
data.child[].child[].child
object[]
displayItemCategoryCode
data.child[].child[].child[].displayItemCategoryCode
integer
name
data.child[].child[].child[].name
string
status
data.child[].child[].child[].status
string
child
data.child[].child[].child[].child
object[]
displayItemCategoryCode
data.child[].child[].child[].child[].displayItemCategoryCode
integer
name
data.child[].child[].child[].child[].name
string
status
data.child[].child[].child[].child[].status
string
child
data.child[].child[].child[].child[].child
object[]
displayItemCategoryCode
data.child[].child[].child[].child[].child[].displayItemCategoryCode
integer
name
data.child[].child[].child[].child[].child[].name
string
status
data.child[].child[].child[].child[].child[].status
string
child
data.child[].child[].child[].child[].child[].child
object[]

Response Example

{
  "code": "SUCCESS",
  "message": "",
  "data": {
    "displayItemCategoryCode": 0,
    "name": "ROOT",
    "status": "ACTIVE",
    "child": [
      {
        "displayItemCategoryCode": 69182,
        "name": "패션의류잡화",
        "status": "ACTIVE",
        "child": [
          {
            "displayItemCategoryCode": 69183,
            "name": "여성패션",
            "status": "ACTIVE",
            "child": [
              {
                "displayItemCategoryCode": 69184,
                "name": "여성의류",
                "status": "ACTIVE",
                "child": [
                  {
                    "displayItemCategoryCode": 79268,
                    "name": "티셔츠",
                    "status": "ACTIVE",
                    "child": [
                      {
                        "displayItemCategoryCode": 79383,
                        "name": "민소매/나시",
                        "status": "ACTIVE",
                        "child": []
                      },
                      {
                        "displayItemCategoryCode": 79382,
                        "name": "반소매",
                        "status": "ACTIVE",
                        "child": []
                      },
                      {
                        "displayItemCategoryCode": 79381,
                        "name": "긴소매",
                        "status": "ACTIVE",
                        "child": []
                      }
                    ]
                  },
                  {
                    "displayItemCategoryCode": 69186,
                    "name": "맨투맨",
                    "status": "ACTIVE",
                    "child": []
                  },
                  {
                    "displayItemCategoryCode": 79269,
                    "name": "후드티",
                    "status": "ACTIVE",
                    "child": []
                  },
                  {
                    "displayItemCategoryCode": 69187,
                    "name": "블라우스",
                    "status": "ACTIVE",
                    "child": []
                  },
                  {
                    "displayItemCategoryCode": 69188,
                    "name": "셔츠(남방)",
                    "status": "ACTIVE",
                    "child": []
                  },
                  {
                    "displayItemCategoryCode": 86393,
                    "name": "양봉용품",
                    "status": "ACTIVE",
                    "child": [
                      {
                        "displayItemCategoryCode": 86389,
                        "name": "양봉의류",
                        "status": "ACTIVE",
                        "child": []
                      },
                      {
                        "displayItemCategoryCode": 86390,
                        "name": "양봉모자/잡화",
                        "status": "ACTIVE",
                        "child": []
                      },
                      {
                        "displayItemCategoryCode": 86391,
                        "name": "벌통",
                        "status": "ACTIVE",
                        "child": []
                      },
                      {
                        "displayItemCategoryCode": 86392,
                        "name": "양봉용 자재",
                        "status": "ACTIVE",
                        "child": []
                      }
                    ]
                  }
                ]
              }
            ]
          }
        ]
      }
    ]
  }
}
# 05

错误码

HTTP代码消息
--